Bug 473147 - RealPlayer 11 AVC with nspluginwrapper, transition boolean
RealPlayer 11 AVC with nspluginwrapper, transition boolean
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 14:46 EST by P Rauser
Modified: 2009-11-18 08:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:04:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SELinux is preventing the realplay.bin from using potentially mislabeled files (./realplayerrc) (2.85 KB, application/octet-stream)
2008-11-26 14:46 EST, P Rauser
no flags Details
SELinux is preventing realplay.bin (nsplugin_t) "execute" to ./realplay.bin (execmem_exec_t) (3.70 KB, application/octet-stream)
2008-11-26 14:47 EST, P Rauser
no flags Details
SELinux is preventing realplay.bin from loading /opt/real/RealPlayer/plugins/vorbisrend.so which requires text relocation (3.51 KB, application/octet-stream)
2008-11-26 14:57 EST, P Rauser
no flags Details
Three AVCs for RealPlayer relating to binding & port access (12.49 KB, application/octet-stream)
2008-11-26 15:04 EST, P Rauser
no flags Details

  None (edit)
Description P Rauser 2008-11-26 14:46:44 EST
Created attachment 324784 [details]
SELinux is preventing the realplay.bin from using potentially mislabeled files (./realplayerrc)

Description of problem:

When using RealPlayer 11 and nspluginwrapper, SELINUX throws two AVCs (attached) when playing Real audio content.

Version-Release number of selected component (if applicable)

RealPlayer-11.0.1.1056-20081001.i586
nspluginwrapper-1.1.2-4.fc10.i386
nspluginwrapper-1.1.2-4.fc10.x86_64
selinux-policy-targeted-3.5.13-26.fc10.noarch


Steps to Reproduce:
1.  Install RealPlayer
2.  Install nspluginwrapper
3.  Enable allow_unconfined_nsplugin_transition in selinux policy
4.  Browse to, e.g. http://www.bbc.co.uk/radio3/ and attempt to play an audio stream.
5.  Two AVC denials result:

SELinux is preventing the realplay.bin from using potentially mislabeled files
(./realplayerrc)

and

SELinux is preventing realplay.bin (nsplugin_t) "execute" to ./realplay.bin
(execmem_exec_t).


Full AVC alerts are attached.
Comment 1 P Rauser 2008-11-26 14:47:35 EST
Created attachment 324785 [details]
SELinux is preventing realplay.bin (nsplugin_t) "execute" to ./realplay.bin (execmem_exec_t)
Comment 2 P Rauser 2008-11-26 14:57:05 EST
Created attachment 324786 [details]
SELinux is preventing realplay.bin from loading /opt/real/RealPlayer/plugins/vorbisrend.so which requires text relocation
Comment 3 P Rauser 2008-11-26 15:04:05 EST
Created attachment 324788 [details]
Three AVCs for RealPlayer relating to binding & port access

RealPlayer also seems to throw AVCs when trying to bind to ports -- the following three AVCs:

1)  SELinux is preventing realplay.bin (nsplugin_t) "node_bind" inaddr_any_node_t
2)  SELinux is preventing the realplay.bin (nsplugin_t) from binding to port 6970.
3)  SELinux is preventing the realplay (nsplugin_t) from executing ./realpla
Comment 4 Daniel Walsh 2008-12-01 16:46:39 EST
Ok I Fixed most in  selinux-policy-3.5.13-27.fc10

I don't want to allow realplayer to bind to that port though.


You can disable nsplugin confinement if you want full realplayer

setsebool -P allow_unconfined_nsplugin_transition = 0
Comment 5 P Rauser 2008-12-01 16:58:50 EST
RealPlayer allows a user to bind to a specific, defined port for UDP -- the default is 7070.  Does it make sense to allow it to bind to this particular port?
Comment 6 Bug Zapper 2009-11-18 03:59:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Daniel Walsh 2009-11-18 08:04:25 EST
Closing as closed in the current release.

Note You need to log in before you can comment on or make changes to this bug.